summaryrefslogtreecommitdiff
path: root/Installation_Guide/en-US/Kolab_Server_on_Enterprise_Linux.xml
blob: 83a20319e9016c87f04960eb8d58582019589e94 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
<?xml version='1.0' encoding='utf-8' ?>
<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN" "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
<!ENTITY % BOOK_ENTITIES SYSTEM "Installation_Guide.ent">
%BOOK_ENTITIES;
]>
<chapter id="chap-Installation_Guide-Kolab_Server_on_Enterprise_Linux">
    <title>Kolab Server on Enterprise Linux</title>
    <para>
        The installation of the Kolab Groupware server requires you prepare the system for installation. This part of the installation manual addresses the installation procedure on Enterprise Linux systems, which include:
    </para>
    <para>
        <itemizedlist>
            <listitem>
                <para>
                    Red Hat Enterprise Linux 5 (recommended)
                </para>

            </listitem>
            <listitem>
                <para>
                    CentOS 5
                </para>

            </listitem>

        </itemizedlist>

    </para>
    <section id="sect-Installation_Guide-Kolab_Server_on_Enterprise_Linux-Prerequisites">
        <title>Prerequisites</title>
        <para>
            This section lists the prerequisites for a Kolab Groupware server system on Enterprise Linux.
        </para>
        <section id="sect-Installation_Guide-Prerequisites-Server_System">
            <title>Server System</title>
            <para>
                These are the system prerequisites for a supported Kolab server installation on Enterprise Linux.
            </para>
            <para>
                <orderedlist id="orde-Installation_Guide-Server_System-System_Resources">
                    <title>System Resources</title>
                    <listitem>
                        <para>
                            FIXME: 4GB of RAM
                        </para>

                    </listitem>
                    <listitem>
                        <para>
                            FIXME: Intel or AMD 64-bit 2.4Ghz+
                        </para>

                    </listitem>

                </orderedlist>

            </para>
            <para>
                <orderedlist id="orde-Installation_Guide-Server_System-Operating_System_Resources">
                    <title>Operating System Resources</title>
                    <listitem>
                        <para>
                            The following software packages may not be installed on the Kolab Groupware server system:
                        </para>
                        <para>
                            <itemizedlist>
                                <listitem>
                                    <para>
                                        <literal>cyrus-imapd</literal>
                                    </para>

                                </listitem>
                                <listitem>
                                    <para>
                                        <literal>openldap</literal>
                                    </para>

                                </listitem>

                            </itemizedlist>

                        </para>

                    </listitem>

                </orderedlist>

            </para>
            <para>
                You can verify whether any of those packages is installed using the following command:
            </para>
            <para>
                <command>rpm -qv &lt;package-name&gt;</command>
            </para>
            <para>
                Should any of the aforementioned packages be installed on the Kolab Groupware server system already, please verify whether they have been used before removing them. Should the packages have been used, consider moving to Kolab Groupware on this server system a migration and continue with the migration manual available at:
            </para>
            <para>
                FIXME: Provide a URL for the migration manual
            </para>

        </section>

        <section id="sect-Installation_Guide-Prerequisites-YUM_Repositories">
            <title>YUM Repositories</title>
            <para>
                A Kolab Groupware server system requires the following YUM repositories to be installed in complete, available and enabled;
            </para>
            <para>
                <orderedlist>
                    <listitem>
                        <para>
                            The <ulink url="http://fedoraproject.org/wiki/EPEL">Extra Packages for Enterprise Linux</ulink> (EPEL) repository.
                        </para>
                        <para>
                            For more details on the installation and configuration of the EPEL repository, please refer to <xref linkend="sect-Installation_Guide-Repository_Configuration-EPEL_Repository_Configuration" />.
                        </para>

                    </listitem>
                    <listitem>
                        <para>
                            The Kolab Groupware repository.
                        </para>
                        <para>
                            For more details on the installation and configuration of the Kolab repository, please refer to <xref linkend="sect-Installation_Guide-Repository_Configuration-Kolab_Repository_Configuration" />.
                        </para>

                    </listitem>

                </orderedlist>

            </para>

        </section>


    </section>

    <section id="sect-Installation_Guide-Kolab_Server_on_Enterprise_Linux-Repository_Configuration">
        <title>Repository Configuration</title>
        <section id="sect-Installation_Guide-Repository_Configuration-EPEL_Repository_Configuration">
            <title>EPEL Repository Configuration</title>
            <para>
                FIXME: Something on EPEL repository configuration
            </para>

        </section>

        <section id="sect-Installation_Guide-Repository_Configuration-Kolab_Repository_Configuration">
            <title>Kolab Repository Configuration</title>
            <para>
                FIXME: Something on Kolab repository configuration
            </para>

        </section>


    </section>

    <section id="sect-Installation_Guide-Kolab_Server_on_Enterprise_Linux-Standalone_Server_Installation">
        <title>Standalone Server Installation</title>
        <para>
            When the prerequisite requirements are met, install the Kolab Groupware Server components:
        </para>
        <para>
            <command>yum install kolab</command>
        </para>
        <para>
            This will install a completely standalone Kolab Groupware server. Continue to <xref linkend="chap-Installation_Guide-Kolab_Initial_Configuration" />
        </para>

    </section>


</chapter>